# Splash
## About
This software is intended to be able to splash full-sized 320x240
images on the screen of the TI-84+CE. It supports the full 65k color
pallet of the system.

This software consists of two programs: "SPLASHCE", which displays
images on the TI-84+CE, and "ppm8xv" which converts images to a 
format which SPLASHCE can recognize. 

## How to Use
### ppm8xv
To convert an image, the image must be in raw PPM format. Raw PPM
is supported by ImageMagick and GIMP. If you install GIMP, you can
save your image as raw PPM. If you have ImageMagick installed, you
can convert your image to a raw PPM using the "convert" command.

Images must also be 320x240. 

The command to build an image is simply "ppm8xv" followed by the name
of the image to convert. 
```
ppm8xv myimage.ppm
```
Do not use full paths for image file names.

After converting the image, it will generate three files with ".8xv"
extensions. Transfer all three of these to the TI-84+CE.

NOTE: Sometimes the TI-84+CE transfer software will throw an error
when transferring the files, but the files will transfer anyways.

### SPLASH
After converting the images with ppm8xv and moving the three ".8xv"
files to your TI-84+CE, on the TI-84+CE itself, navigate to your list
of AppVars.
```
[2nd][+] -> [2] -> [alpha][apps]
```
Make sure you see files with names similar to the name of your 
original image. For example, if your original image was named "dog", 
you should see three files named "DOG1", "DOG2", and "DOG3".

In this case, the image is named "DOG" but has been broken up into
three parts.

In order to draw this image to the screen, we have to pass the name
of this image, in this case "DOG", to the SPLASHCE program.

Transfer the "SPLASHCE.8xp" program to your TI-84+CE. To splash the
image to the screen using SPLASHCE, pass the name of the image as
stored on the calculator into the program.
```
"DOG":Asm(prgmSPLASHCE
```
This will draw the image "DOG" to the screen. Notice how the number
suffixes are not included. Don't use "IMG1", or "IMG2", or "IMG3".
Just use "IMG". 

NOTE: SPLASHCE requires 51kb of RAM to run. Images are loaded in parts
from the archive and are loaded back into the archive after use. This
causes fragmentation and sometimes you will be prompted to run 
Garbage Collect. Simply select "yes" if this occurs.

## Compiling
### Requirements
- spasm-ng
- gcc

### Commands
```
spasm -E splashce.asm SPLASHCE.8xp
gcc -lm -std=c99 ppm8xv.c -o ppm8xv
```
